Forum Linux.debian/ubuntu Debian Etch ppc sut ibook 12'

Posté par .
Tags : aucun
0
20
oct.
2006
Bonjour à tous ,

Ce matin j'ai enfin fini l'installation de debian etch sur mon ibook g4 12' mais je lutte vraiment à trouver de la doc récente sur la configuration de la carte airport.

Voila ce que me donne un lspci :
0001:10:12.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)

Sinon j'ai aussi installer airport-utils mais dès que je le lance j'ai une erreur par rapport a gtk (normal j'utilise kde) pourtant j'ai installer par aptitude gtk2-engines mais ça ne doit pas être suffisant mais que installer ?
Voila l'erreur :
nautia:/home/yohann# airport-config
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key

(.:2585): Gtk-WARNING **: cannot open display:

Merci pour votre aide et j'espère avoir assez renseigné ma question.
  • # C'est pas du a GTK

    Posté par . Évalué à 3.

    Le probleme n'est pas du a GTK mais au fait que tu lances la commande airport-config sous un compte different de celui qui a lance le serveur X

    il faut que tu utilises une commande de ce type :

    xhost + local:root avant (en supposant que tu lances le airport-config en root)

    si cela ne marches pas il faut jouer avec la commande xauth et la ca donne quelque chose comme ca 'il faut cependant adapter) :

    xauth extract - localhost/unix:0 | sudo xauth -f /root/.Xauthority merge -
  • # airport-utils

    Posté par . Évalué à 2.

    Airport-utils c'est pour configurer les points d acces airport pas les cartes .
    • [^] # Re: airport-utils

      Posté par . Évalué à 1.

      Oui, je viens de m'en rendre compte . Je repars donc à zéro pour cette carte ... Si quelqu'un a un bon lien ou quoi que ce soit je suis preneur .

      Sinon merci doug pour l'astuce je l'ai noté ;)
      • [^] # Re: airport-utils

        Posté par . Évalué à 1.

        Il va falloir attendre quelques mois, le chip bcm4318 qui équipe les cartes les plus récentes n'est pas encore bien supporté. Tu peux aller voir là: http://forums.gentoo.org/viewtopic-t-409194.html

        "Support for newer cards (4311/4312/4318/4319 chipsets) is progressing slowly. To support these cards properly, work has started on a new set of specs using a newer driver. Please be patient while we figure out what they changed (it's non-trivial). Despite this, it should work at lower rates (11M) for now. "

        Avec mon iBook G4 qui a le même chipset (4318) impossible de me connecter à un point d'accès, je peux juste scanner les réseaux environnants (kismet marche très bien d'ailleurs).

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.